# $Id: dsd2gen.awk,v 1.1 2002/04/12 16:39:57 jan Exp $
#
# Copyright (C) 1999, 2001 by Jan-Oliver Wagner
# 
#    This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# DESCRIPTION:
# This script reads in a GREAT-ER '.dsd' file 
# and converts (only) the coordinates to a
# ArcInfo 'generate' format.

BEGIN	{ FS = "," }	# set field separator

/^#/	{ next } 	# skip comments

/^$/	{ next }	# skip empty lines

	{ printf("%d,%f,%f\n", $1, $2, $3) }	# ID, X, Y

END	{ print "end" }	# print 'end' token
