# $Id: pic2att.awk,v 1.1 2002/04/12 16:39:57 jan Exp $
#
# Copyright (C) 1999, 2001 by Jan-Oliver Wagner
# 
#    This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# DESCRIPTION:
# This script generates an (almost) txt2dbf source from a .pic
# the coordinates ($2, $3) have to be thrown out
# separator ',' is replaced by ':'
# 'almost' here means, that the '#' as the first character of
# the first line is not printed in the special case of pic-processing!

BEGIN	{
	FS = ","
	# printf("#ID:source:name\n")	for real txt2dbf input
	printf("ID:source:name\n")
	}
	{
	if (substr($0, 1, 1) == "#") next
	str = $1 ":" $4 ":" $5
	if (NF > 5) str = str "," $6
	printf(str "\n")
	}
